<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>linuxchd's website</title>
  <meta name="description" content="Kyle Flores's Personal Website">
  <meta name="author" content="linuxchd">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="/css/style.css">
  <link rel="icon" type="image/png" href="/favicon.ico">
  <script src="/js/script.js"></script>
</head>

<body>
 <header>
                <div id="img-gallery"></div>
		<h1>Chad's Website</h1>
		<p>welcome to my place on the internet!</p>
	<nav>
		<span>[<a href="/">Home</a>]</span>
		<span>[<a href="/about">About</a>]</span>
		<span>[<a href="/blog">Blog</a>]</span>
		<span>[<a href="http://files.linuxchad.xyz" target="_blank">Server</a>]</span>
		<span>[<a href="/contact">Social</a>]</span>
	</nav>

      <blockquote id="header-quote">
        ❝ Hello, friend. That's lame<br>
        <span>Maybe I should give you a name. ❞</span>
      </blockquote>


</header>
	<main>
      		
<h1 class="title">
  Arch Installation Guide
</h1>
<p class="subtitle"><strong></strong></p>
<p>This guide will show step-by-step how to Install Arch Linux on UEFI mode like a Chad!</p>
<hr />
<h2 id="bootable-flash-drive">Bootable Flash Drive</h2>
<h3 id="1-download-arch-linux-iso">1. Download Arch Linux ISO</h3>
<p><a href="https://www.archlinux.org/download/">Official Website</a></p>
<h3 id="2-in-cli-execute-dd-command-to-flash-iso">2. In cli, execute 'dd' command to flash ISO</h3>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#bf616a;">$</span><span> dd bs=4M if=/path/to/archlinux.iso of=/dev/sdx status=progress oflag=sync &amp;&amp; </span><span style="color:#bf616a;">sync
</span></code></pre>
<h3 id="3-in-gui-execute-usbimager-as-root-to-flash-iso">3. In GUI, execute 'usbimager' as root to flash ISO</h3>
<hr />
<h2 id="bios">BIOS</h2>
<p>We'll install Arch on UEFI mode, so you should enable the UEFI mode and disable the secure boot option on your BIOS system.</p>
<blockquote>
<p>Also remember to change the boot order to boot through your USB device.</p>
</blockquote>
<hr />
<h2 id="pre-installation">Pre installation</h2>
<p>I'm presuming that you're already in the Arch Linux zsh shell prompt.</p>
<h3 id="1-check-boot-mode">1. Check boot mode</h3>
<p>To check if the UEFI mode is enabled, run:</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># ls /sys/firmware/efi/efivars
</span></code></pre>
<p>If the directory does not exists, the system may be booted in BIOS.</p>
<h3 id="2-update-system-clock">2. Update System Clock</h3>
<p>Ensures that the system clock is accurate.</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># timedatectl set-ntp true
</span></code></pre>
<h3 id="3-connect-to-a-wifi-network">3. Connect to a Wifi Network</h3>
<p>First, test if you alredy have wifi connection, so run:</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># ping google.com
</span></code></pre>
<p>If you're not connected, follow one of these steps:</p>
<h4 id="connect-to-wifi-with-iwd">Connect to Wifi with iwd</h4>
<ol>
<li>
<p>Check network interface name</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># ip link
</span></code></pre>
<p>The response will be something like:</p>
<pre style="background-color:#2b303b;color:#c0c5ce;"><code><span> 1: lo: &lt;LOOPBACK,UP,LOWER_UP&gt; mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT
</span><span>     link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
</span><span> 2: enp2s0f0: &lt;BROADCAST,MULTICAST&gt; mtu 1500 qdisc noop state DOWN mode DEFAULT qlen 1000
</span><span>     link/ether 00:11:25:31:69:20 brd ff:ff:ff:ff:ff:ff
</span><span> 3: wlp3s0: &lt;BROADCAST,MULTICAST,UP,LOWER_UP&gt; mtu 1500 qdisc mq state UP mode DORMANT qlen 1000
</span><span>     link/ether 01:02:03:04:05:06 brd ff:ff:ff:ff:ff:ff
</span></code></pre>
</li>
<li>
<p>Run iwd</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># iwctl
</span></code></pre>
<p>if $interface is off, then <code>quit</code> iwd and run:</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># rfkill unblock all
</span><span style="color:#65737e;"># ip link set $interface up
</span></code></pre>
</li>
<li>
<p>Connect to wifi SSID</p>
<p>run <code>device list</code> to list all network interface and run the following commands:</p>
<pre data-lang="sh" style="background-color:#2b303b;color:#c0c5ce;" class="language-sh "><code class="language-sh" data-lang="sh"><span style="color:#65737e;"># station $interface scan
</span><span style="color:#65737e;"># station $interface get-networks
</span><span style="color:#65737e;"># station $interface connect SSID
</span></code></pre>
<p>enter your wifi password</p>
</li>
</ol>
<hr />


    	</main>

 <footer>
      <div>
	<a href="https://landchad.net">
	  <img src="https://landchad.net/pix/landchad.gif" target="_blank" alt="LandChad.net">
	</a>
	<a href="https://www.freebsd.org">
	  <img src="https://www.freebsd.org/gifs/power-button.gif" target="_blank" alt="LandChad.net">
	</a>
        <a href="https://sadgrl.online/">
	  <img src="https://sadgrl.online/images/homepage/button-new.gif" target="_blank" alt="sadgrl online"></a>
        <a href="https://wiby.me">
	  <img src="https://wiby.me/about/wiby.gif" target="_blank" alt="LandChad.net">
	</a>
      </div>
      <p id="footer-note">
	&copy Copyright 2022
	<a href="https://linuxchad.xyz">Kyle Flores</a>.
	All rights reserved.
      </p>
    </footer>

</body>

</html>

